<?php $mts_options = get_option(MTS_THEME_NAME); ?>
<?php get_header(); ?>
<div id="page">
    <div class="article <?php echo $mts_options['mts_layout'] ?>">
        <div id="content_box">
            <?php if (is_home() && !is_paged()) { ?>
                <?php if($mts_options['mts_featured_slider'] == '1') { ?>
                    <h3 class="featured-post-title"><?php _e('Featured','mythemeshop'); ?></h3>
                    <div class="featured clearfix">
                        <?php 
                        // prevent implode error
                        if (empty($mts_options['mts_featured_slider_cat']) || !is_array($mts_options['mts_featured_slider_cat'])) {
                            $mts_options['mts_featured_slider_cat'] = array('0');
                        }
                        $i = 1;
                        $slider_cat = implode(",", $mts_options['mts_featured_slider_cat']);
                        $my_query = new WP_Query('cat='.$slider_cat.'&posts_per_page=4');
                        while ($my_query->have_posts()) : $my_query->the_post();
                            $featured_class = isset($i) ? ' class="featured-post-'.$i.' featured-post-wrap excerpt"' : 'excerpt'; ?>
                            <div <?php echo $featured_class ?>> 
                                <a href="<?php the_permalink() ?>" title="<?php the_title(); ?>" rel="nofollow" id="thumbnail-<?php echo $i; ?>">
                                    <span class="category-head"><?php $category = get_the_category(); echo $category[0]->cat_name; ?></span>
                                    <?php if ( has_post_thumbnail() ) { 
                                        if($i == '1'){ 
                                            $k = 'first'; 
                                        }elseif($i == '2'){ 
                                            $k = 'second';
                                        }elseif($i == '3' || $i == '4'){ 
                                            $k = 'third';
                                        }
                                        the_post_thumbnail('featured-'.$k, array('title' => ''));
                                    } ?>
                                    <p class="featured-excerpt">
                                        <span class="featured-title"><?php the_title(); ?></span>
                                        <?php if($i == 1){ ?>
                                            <span class="featured-desc"><?php echo mts_excerpt(19);?></span>
                                        <?php } elseif($i == 2){ ?>
                                            <span class="featured-desc"><?php echo mts_excerpt(13);?></span>
                                        <?php } ?>
                                    </p>
                                </a>
                            </div><!--.post excerpt-->
                        <?php $i++; endwhile; wp_reset_query(); ?>
                    </div>
                    <!-- Featured Posts -->
                <?php }
            } ?>
            
            <?php if (!is_paged()) { ?>
                <?php $featured_categories = array();
                if (!empty($mts_options['mts_featured_categories'])) {
                    foreach ($mts_options['mts_featured_categories'] as $section) {
                        $category_id = $section['mts_featured_category'];
                        $featured_categories[] = $category_id;
                        $posts_num = $section['mts_featured_category_postsnum'];
                        if ($category_id == 'latest') { ?>
                            <h3 class="featured-category-title"><?php _e('Latest','mythemeshop'); ?></h3>
                            <?php $j = 0; if (have_posts()) : while (have_posts()) : the_post(); ?>
                            <article class="latestPost excerpt  <?php echo (++$j % 2 == 0) ? 'last' : ''; ?>" itemscope itemtype="http://schema.org/BlogPosting">
                                <div class="image-wrap">
                                    <a href="<?php the_permalink() ?>" title="<?php the_title(); ?>" rel="nofollow" class="featured-image">
                                        <?php echo '<div class="featured-thumbnail">'; the_post_thumbnail('featured',array('title' => '')); echo '</div>'; ?>
                                        <?php if (function_exists('wp_review_show_total')) wp_review_show_total(true, 'latestPost-review-wrapper'); ?>
                                    </a>
                                    <?php mts_the_postinfo(); ?>
                                </div>
                                
                                <div class="blog-content">
                                    <header>
                                        <h2 class="title front-view-title" itemprop="headline"><a href="<?php the_permalink() ?>" title="<?php the_title(); ?>"><?php the_title(); ?></a></h2>
                                    </header>
                                    <div class="front-view-content">
                                        <?php echo mts_excerpt(15); ?>
                                    </div>
                                </div>
                            </article><!--.post excerpt-->
                            <?php endwhile; endif; ?>
            
                            <!--Start Pagination-->
                            <?php if (isset($mts_options['mts_pagenavigation_type']) && $mts_options['mts_pagenavigation_type'] == '1' ) { ?>
                                <?php mts_pagination(); ?> 
                            <?php } else { ?>
                                <div class="pagination">
                                    <ul>
                                        <li class="nav-previous"><?php next_posts_link( __( '&larr; '.'Older posts', 'mythemeshop' ) ); ?></li>
                                        <li class="nav-next"><?php previous_posts_link( __( 'Newer posts'.' &rarr;', 'mythemeshop' ) ); ?></li>
                                    </ul>
                                </div>
                            <?php } ?>
                            <!--End Pagination-->
            
                        <?php } else { // if $category_id != 'latest': ?>
                            <h3 class="featured-category-title"><a href="<?php echo esc_url( get_category_link($category_id) ); ?>" title="<?php echo esc_attr( get_cat_name($category_id) ); ?>"><?php echo get_cat_name($category_id); ?></a></h3>
                            <?php $j = 0; $cat_query = new WP_Query('cat='.$category_id.'&posts_per_page='.$posts_num); if ($cat_query->have_posts()) : while ($cat_query->have_posts()) : $cat_query->the_post(); ?>
                            <article class="latestPost excerpt  <?php echo (++$j % 2 == 0) ? 'last' : ''; ?>" itemscope itemtype="http://schema.org/BlogPosting">
                                <div class="image-wrap">
                                    <a href="<?php the_permalink() ?>" title="<?php the_title(); ?>" rel="nofollow" class="featured-image">
                                        <?php echo '<div class="featured-thumbnail">'; the_post_thumbnail('featured',array('title' => '')); echo '</div>'; ?>
                                        <?php if (function_exists('wp_review_show_total')) wp_review_show_total(true, 'latestPost-review-wrapper'); ?>
                                    </a>
                                    <?php mts_the_postinfo(); ?>
                                </div>
                                
                                <div class="blog-content">
                                    <header>
                                        <h2 class="title front-view-title" itemprop="headline"><a href="<?php the_permalink() ?>" title="<?php the_title(); ?>"><?php the_title(); ?></a></h2>
                                    </header>
                                    <div class="front-view-content">
                                        <?php echo mts_excerpt(15); ?>
                                    </div>
                                </div>
                            </article><!--.post excerpt-->
                            <?php endwhile; endif; wp_reset_query(); ?>
                        <?php } 
                    } 
                } ?>
            <?php } else { ?>
                <!-- Paged -->
                <?php $j = 0; if (have_posts()) : while (have_posts()) : the_post(); ?>
                <article class="latestPost excerpt  <?php echo (++$j % 2 == 0) ? 'last' : ''; ?>" itemscope itemtype="http://schema.org/BlogPosting">
                    <div class="image-wrap">
                        <a href="<?php the_permalink() ?>" title="<?php the_title(); ?>" rel="nofollow" class="featured-image">
                            <?php echo '<div class="featured-thumbnail">'; the_post_thumbnail('featured',array('title' => '')); echo '</div>'; ?>
                            <?php if (function_exists('wp_review_show_total')) wp_review_show_total(true, 'latestPost-review-wrapper'); ?>
                        </a>
                        <?php mts_the_postinfo(); ?>
                    </div>

                    <div class="blog-content">
                        <header>
                            <h2 class="title front-view-title"><a href="<?php the_permalink() ?>" title="<?php the_title(); ?>"><?php the_title(); ?></a></h2>
                        </header>
                        <div class="front-view-content">
                            <?php echo mts_excerpt(15); ?>
                        </div>
                    </div>
                </article><!--.post excerpt-->
            <?php endwhile; endif; ?>
            
            <!--Start Pagination-->
            <?php if (isset($mts_options['mts_pagenavigation_type']) && $mts_options['mts_pagenavigation_type'] == '1' ) { ?>
                <?php mts_pagination(); ?> 
            <?php } else { ?>
                <div class="pagination pagination-previous-next">
                    <ul>
                        <li class="nav-previous"><?php next_posts_link( '<i class="fa fa-angle-left"></i> '. __( 'Previous', 'mythemeshop' ) ); ?></li>
                        <li class="nav-next"><?php previous_posts_link( __( 'Next', 'mythemeshop' ).' <i class="fa fa-angle-right"></i>' ); ?></li>
                    </ul>
                </div>
            <?php } ?>
            <!--End Pagination-->
        <?php } ?>
    </div>
</div>
<?php get_footer(); ?>